using System;
using System.Drawing;
using Syncfusion.Windows.Forms.Diagram;

namespace CustomRectangleTool_Sample
{
	/// <summary>
	/// Description of a symple symbol
	/// </summary>
	public class LimeRectangle:Syncfusion.Windows.Forms.Diagram.Symbol

	{
		private Syncfusion.Windows.Forms.Diagram.Rectangle rect=null;

        SymbolLabel lbl = null;


		public LimeRectangle()
		{
		    //Add the Outer rectangle
			this.rect=new Syncfusion.Windows.Forms.Diagram.Rectangle(600,60,120,70);
		
			rect.Name="Rectangle";
			rect.FillStyle.Color=System.Drawing.Color.Lime;
			rect.FillStyle.ColorAlphaFactor=255;
			rect.FillStyle.GradientAngle=270;
			this.AppendChild(rect);
       
            //Add label
            lbl = new SymbolLabel();
            lbl.Name = "MyLabel";
            lbl.Bounds = new RectangleF(100, 120, 80, 25);
            lbl.Text = "MySymbol";
            this.AppendChild(lbl);
		}
        protected override void OnBoundsChanged(BoundsEventArgs evtArgs)
        {
            //Specify if the label size will be adjusted when the symbol width changed.
            lbl.AdjustToContainerBounds = true;
            base.OnBoundsChanged(evtArgs);
        }
	}
}
